debug = false

require("AnAL")
require('splash')
require('game')

function love.load()
  -- Load images (global assets)
  player_stand = love.graphics.newImage("media/player_stand.png")
  player_stand_inverted = love.graphics.newImage("media/player_stand_inverted.png")

  imagens = {"splash_1", "splash_2", "bg_1", "bg_2"}
  imgs = {}
  for _,v in ipairs(imagens) do
    imgs[v] = love.graphics.newImage("media/"..v..".jpg")
  end

  -- Set filter to nearest
  for _,v in ipairs(imgs) do
    v:setFilter("nearest", "nearest")
  end

  -- Play music and loop it   **** GRAB THE AUDIO FILE LATER!!!!
 -- bg_music = love.audio.newSource("media/bg_music.ogg", "stream")
 -- bg_music = setLooping(true)
 -- love.audio.play(bg_music)

  -- Initialize font and set it  ** AJUSTAR TAMANHO
  font = love.graphics.newFont("media/font.ttf", 14*scale)
  love.graphics.setFont(font)

  -- Define colors (global assets)
  bgcolor = {r = 107, g= 142, b = 35}
  fontcolor = {r = 0, g= 0, b = 0}

  -- Load animation source ** PLAYER_WALK LOCAL??
  -- Dimensions - 800x400 . frame size 200x200 . 8 frames
  player_walk = love.graphics.newImage("media/player_walk.png")
  -- INVERTER OS INVERTIDOS!!!
  player_walk_inverted = love.graphics.newImage("media/player_walk_inverted.png")

  -- Create animation ** PLAYER_WALK
  -- Arguments - (imgsource, framewidth, frameheight,
    --      framedelay, number of frames[if 0 then it will find out for you])
  walk_animation = newAnimation(player_walk, 200, 200, 0.1, 8)
  walk_animation_inverted = newAnimation(player_walk_inverted, 200, 200, 0.1, 8)

  -- Mode constants: loop, bounce, once
  walk_animation:setMode("loop")
  walk_animation_inverted:setMode("loop")

  -- Initial state
  state = "splash"


  -- Load the states
  splash.load()
  game.load()
end

function love.draw()
  -- Set color
  love.graphics.setColor(bgcolor.r,bgcolor.g,bgcolor.b)
  -- Draw rectangle for background
  love.graphics.rectangle("fill",
    0,0, love.graphics.getWidth(), love.graphics.getHeight())
  -- Return color back to normal
  love.graphics.setColor(255,255,255)

  -- Call the state's draw function
  if state == "splash" then
    splash.draw()
  end
  if state == "game" then
    game.draw()
  end

  -- DEBUG
  if debug then
    w, h = love.window.getDimensions()
    love.graphics.setColor(144,238,144)
    love.graphics.printf( "Width:"..w, 0, 320, 100, "left" )
    love.graphics.printf( "Height:"..h, 0, 350, 100, "left" )
    love.graphics.setColor(255,255,255)
  end
end

function love.update(dt)
  -- Call the state's update function
  if state == "splash" then
    splash.update(dt)
  end
  if state == "game" then
    game.update(dt)
  end

  -- TESTE! Update the animation (enables frame change)
--  anim:update(dt)
end

function love.focus(bool)
end

function love.keypressed(key)
  -- Call the state's keypressed function
  if state == "splash" then
    splash.keypressed(key)
  end
  if state == "game" then
    game.keypressed(key)
  end

  if key == "d" then
    debug = not debug
  end
end

function love.quit()
end

