player = {}

function player.load()
  inverted = false
  -- Player init
  player.player_size = player_stand:getWidth()
  player.playerx = 250*scale
  player.playery = 230*scale
  player_moving = false
end

function player.draw()
  if player_moving == false then
    if inverted then
      love.graphics.draw(player_stand_inverted, player.playerx,
                        player.playery,0,scale,scale,
                        0,0)
      else
        love.graphics.draw(player_stand, player.playerx,
                          player.playery,0,scale,scale,
                          0,0)
    end

  elseif player_moving == true then
    if love.keyboard.isDown("left") then
        walk_animation_inverted:draw(player.playerx, player.playery)
      else
        walk_animation:draw(player.playerx, player.playery)
    end
  end

  if debug then
    love.graphics.printf( "PlayerX:"..player.playerx, 0, 520, 100, "left" )
    love.graphics.printf( "PlayerY:"..player.playery, 0, 550, 100, "left" )
    love.graphics.rectangle("line",player.playerx,player.playery,player.player_size*scale,player.player_size*scale)
  end
end

function player.update(dt)
  -- Update player movement
  if love.keyboard.isDown("right") then
    player_moving = true
    player.playerx = player.playerx + 100*dt*scale
    walk_animation:update(dt)

  elseif love.keyboard.isDown("left") then
      player_moving = true
      player.playerx = player.playerx - 100*dt*scale
      walk_animation_inverted:update(dt)
  else
    player_moving = false
  end

  -- Keep the player on the map
  if player.playerx > 600*scale then
    player.playerx = 600*scale
  end
  if player.playerx < 0 then
    player.playerx = 0
  end
end

function player.keypressed(key)
  -- if key == "left" then
  --   player_moving = true
  -- end
end

function player.keyreleased(key)
  if key == "left" then
    inverted = true
  else
    inverted = false
  end
  player_moving = false
end
